diff -Naur a/drivers/leds/leds-lp5523.c b/drivers/leds/leds-lp5523.c
--- a/drivers/leds/leds-lp5523.c	2017-09-06 17:06:29.000000000 +0700
+++ b/drivers/leds/leds-lp5523.c	2017-09-06 17:11:42.952208033 +0700
@@ -37,10 +37,15 @@
 #include <leds-lp55xx.h>
 #include "leds-lp55xx-common.h"
 
-
+#ifndef CONFIG_TARGET_VENUS_2
 static struct lp55xx_platform_data *the_pdata[LEDS_LP5523_CNTRLS] = {NULL, NULL, NULL, NULL};
 static struct lp55xx_led *ctrl_leds[LEDS_LP5523_CNTRLS] = {NULL, NULL, NULL, NULL};
 static struct lp55xx_chip *the_chip[LEDS_LP5523_CNTRLS] = {NULL, NULL, NULL, NULL};
+#else
+static struct lp55xx_platform_data *the_pdata[LEDS_LP5523_CNTRLS] = {NULL, NULL};
+static struct lp55xx_led *ctrl_leds[LEDS_LP5523_CNTRLS] = {NULL, NULL};
+static struct lp55xx_chip *the_chip[LEDS_LP5523_CNTRLS] = {NULL, NULL};
+#endif
 int ctrls_current = 0;
 
 struct lp55xx_led *lp5523_get_led_ctrl(int ctrl)
@@ -824,57 +829,77 @@
 
 static struct lp55xx_led_dts lp5523_dts[] = {
 	{
-	 {  {1, 0x32, 1}},
-	 {  {"GREEN_3",  NULL, 0, 0xcf, 0xcf},
-		{"BLUE_3",   NULL, 1, 0xcf, 0xcf},
-		{"GREEN_2",  NULL, 2, 0xcf, 0xcf},
-		{"BLUE_2",   NULL, 3, 0xcf, 0xcf},
-		{"GREEN_1",  NULL, 4, 0xcf, 0xcf},
-		{"BLUE_1",   NULL, 5, 0xcf, 0xcf},
-		{"RED_3",    NULL, 6, 0xcf, 0xcf},
-		{"RED_2",    NULL, 7, 0xcf, 0xcf},
-		{"RED_1",    NULL, 8, 0xcf, 0xcf},
-	 },
+	 	{{1, 0x32, 1}},
+		{  
+			{"GREEN_3",  NULL, 0, 0xcf, 0xcf},
+			{"BLUE_3",   NULL, 1, 0xcf, 0xcf},
+			{"GREEN_2",  NULL, 2, 0xcf, 0xcf},
+			{"BLUE_2",   NULL, 3, 0xcf, 0xcf},
+			{"GREEN_1",  NULL, 4, 0xcf, 0xcf},
+			{"BLUE_1",   NULL, 5, 0xcf, 0xcf},
+			{"RED_3",    NULL, 6, 0xcf, 0xcf},
+			{"RED_2",    NULL, 7, 0xcf, 0xcf},
+			{"RED_1",    NULL, 8, 0xcf, 0xcf},
+		},
 	},
+#ifndef CONFIG_TARGET_VENUS_2
 	{
-	 {  {1, 0x33, 1}},
-	 {
-		{"GREEN_6", NULL, 0, 0xcf, 0xcf},
-		{"BLUE_6",  NULL, 1, 0xcf, 0xcf},
-		{"GREEN_5", NULL, 2, 0xcf, 0xcf},
-		{"BLUE_5",  NULL, 3, 0xcf, 0xcf},
-		{"GREEN_4", NULL, 4, 0xcf, 0xcf},
-		{"BLUE_4",  NULL, 5, 0xcf, 0xcf},
-		{"RED_6",   NULL, 6, 0xcf, 0xcf},
-		{"RED_5",   NULL, 7, 0xcf, 0xcf},
-		{"RED_4",   NULL, 8, 0xcf, 0xcf},
-	 },
+		{{1, 0x33, 1}},
+	 	{
+			{"GREEN_6", NULL, 0, 0xcf, 0xcf},
+			{"BLUE_6",  NULL, 1, 0xcf, 0xcf},
+			{"GREEN_5", NULL, 2, 0xcf, 0xcf},
+			{"BLUE_5",  NULL, 3, 0xcf, 0xcf},
+			{"GREEN_4", NULL, 4, 0xcf, 0xcf},
+			{"BLUE_4",  NULL, 5, 0xcf, 0xcf},
+			{"RED_6",   NULL, 6, 0xcf, 0xcf},
+			{"RED_5",   NULL, 7, 0xcf, 0xcf},
+			{"RED_4",   NULL, 8, 0xcf, 0xcf},
+	 	},
 	},
+
 	{
-     {  {1, 0x34, 1}},
-     {
-		{"GREEN_9",  NULL, 0, 0xcf, 0xcf},
-		{"BLUE_9",   NULL, 1, 0xcf, 0xcf},
-		{"GREEN_8",  NULL, 2, 0xcf, 0xcf},
-		{"BLUE_8",   NULL, 3, 0xcf, 0xcf},
-		{"GREEN_7",  NULL, 4, 0xcf, 0xcf},
-		{"BLUE_7",   NULL, 5, 0xcf, 0xcf},
-		{"RED_9",    NULL, 6, 0xcf, 0xcf},
-		{"RED_8",    NULL, 7, 0xcf, 0xcf},
-		{"RED_7",    NULL, 8, 0xcf, 0xcf},
-     },
+     	{{1, 0x34, 1}},
+	    {
+			{"GREEN_9",  NULL, 0, 0xcf, 0xcf},
+			{"BLUE_9",   NULL, 1, 0xcf, 0xcf},
+			{"GREEN_8",  NULL, 2, 0xcf, 0xcf},
+			{"BLUE_8",   NULL, 3, 0xcf, 0xcf},
+			{"GREEN_7",  NULL, 4, 0xcf, 0xcf},
+			{"BLUE_7",   NULL, 5, 0xcf, 0xcf},
+			{"RED_9",    NULL, 6, 0xcf, 0xcf},
+			{"RED_8",    NULL, 7, 0xcf, 0xcf},
+			{"RED_7",    NULL, 8, 0xcf, 0xcf},
+	    },
 	},
+
 	{
-	 {  {1, 0x35, 1}},
-	 {
-		{"GREEN_11", NULL, 0, 0xcf, 0xcf},
-		{"BLUE_11",  NULL, 1, 0xcf, 0xcf},
-		{"GREEN_10", NULL, 2, 0xcf, 0xcf},
-		{"BLUE_10",  NULL, 3, 0xcf, 0xcf},
-		{"RED_11",   NULL, 6, 0xcf, 0xcf},
-		{"RED_10",   NULL, 7, 0xcf, 0xcf},
-	 },
+	 	{{1, 0x35, 1}},
+		{
+			{"GREEN_11", NULL, 0, 0xcf, 0xcf},
+			{"BLUE_11",  NULL, 1, 0xcf, 0xcf},
+			{"GREEN_10", NULL, 2, 0xcf, 0xcf},
+			{"BLUE_10",  NULL, 3, 0xcf, 0xcf},
+			{"RED_11",   NULL, 6, 0xcf, 0xcf},
+			{"RED_10",   NULL, 7, 0xcf, 0xcf},
+		},
 	},
+#else
+	{
+		{{1, 0x35, 1}},
+	 	{
+			{"GREEN_6", NULL, 0, 0xcf, 0xcf},
+			{"BLUE_6",  NULL, 1, 0xcf, 0xcf},
+			{"GREEN_5", NULL, 2, 0xcf, 0xcf},
+			{"BLUE_5",  NULL, 3, 0xcf, 0xcf},
+			{"GREEN_4", NULL, 4, 0xcf, 0xcf},
+			{"BLUE_4",  NULL, 5, 0xcf, 0xcf},
+			{"RED_6",   NULL, 6, 0xcf, 0xcf},
+			{"RED_5",   NULL, 7, 0xcf, 0xcf},
+			{"RED_4",   NULL, 8, 0xcf, 0xcf},
+	 	},
+	},
+#endif
 };
 
 struct lp55xx_platform_data * lp55xx_of_populate_pdata(int ctrl)
diff -Naur a/drivers/leds/leds-lp55xx-common.c b/drivers/leds/leds-lp55xx-common.c
--- a/drivers/leds/leds-lp55xx-common.c	2017-09-06 17:06:29.000000000 +0700
+++ b/drivers/leds/leds-lp55xx-common.c	2017-09-06 17:11:53.108207849 +0700
@@ -619,6 +619,7 @@
 	0xFFFF	   //End of firmware
 };
 
+#ifndef CONFIG_TARGET_VENUS_2
 static u16 firmware_spin_33_engine1 [] =
 {
 			  //.segment program01            ;Beginnning of a segment for engine 1
@@ -675,6 +676,62 @@
 	0xFFFF	   //End of firmware
 };
 
+#else
+
+static u16 firmware_spin_33_engine1 [] =
+{
+			  //.segment program01            ;Beginnning of a segment for engine 1
+			  //         ;rd                   ;Number Led Lighting 0x3C
+			  //         ;ra		                ;Index register
+	0x9800,   //         ld rc,0               ;Delay On/Off
+	0x94FF,   //         ld rb,255             ;PWM Steps On
+	0x9C00,   //         mux_map_start row1    ;Map the first LED.
+	0x9C82,   //         mux_ld_end row3       ;End address of the mapping data table.
+	0x9D00,   //         mux_clr               ;Remove led out of engine 1
+	0xF000,   // lp0:    trigger w{e}          ;Wait external trigger ctrl#0
+	0xE004,   //         trigger s{2}          ;Send trigger to engine 2
+	0x9D80,   // lp1:    mux_map_next          ;Set the next row active in the mapping table.
+	0x9001,   //         ld ra,1               ;Fix ramp in 0.123ms
+	0x8401,   //         ramp ra,pre=0,+rb     ;Increase PWM 0->100%
+	0x9D00,   //         mux_clr               ;Remove led out of engine 1
+	0x9000,   //         ld ra,0               ;Init ra value
+	0x8C32,   // lp10:   jge ra,rc,sdlon       ;Skip delay On if ra >= rc
+	0x2800,   //         wait 0.010            ;Wait On 20ms step.
+	0x9101,   //         add ra,1              ;Increase ra 1
+	0xA00C,   //         branch 0,lp10         ;Use rc for wait On loop
+	0xA107,   // sdlon:  branch 2,lp1          ;3 loop for 3 Leds
+	0xE040,   //         trigger s{e}	       ;Send external trigger #0
+	0xA005,   //         branch 0,lp0          ;endless loop
+	0xFFFF	   //End of firmware
+};
+
+static u16 firmware_spin_32_engine1 [] =
+{
+			   //.segment program01            ;Beginnning of a segment for engine 1
+			   //        ;rd                   ;Number Led Lighting 0x3C
+			   //        ;ra		                ;Index register
+	0x9800,    //        ld rc,0               ;Delay On/Off
+	0x94FF,    //        ld rb,255             ;PWM Steps On
+	0x9C00,    //        mux_map_start row1    ;Map the first LED.
+	0x9C82,    //        mux_ld_end row3       ;End address of the mapping data table.
+	0x9D00,    //        mux_clr               ;Remove led out of engine 1
+	0xE004,    //lp0:  	trigger s{2}          ;Send trigger to engine 2
+	0x9D80,    //lp1:    mux_map_next          ;Set the next row active in the mapping table.
+	0x9001,    //        ld ra,1               ;Fix ramp in 0.123ms
+	0x8401,    //        ramp ra,pre=0,+rb     ;Increase PWM 0->100%
+	0x9D00,    //        mux_clr               ;Remove led out of engine 1
+	0x9000,    //        ld ra,0               ;Init ra value
+	0x8C32,    //lp10:   jge ra,rc,sdlon       ;Skip delay On if ra >= rc
+	0x2800,    //        wait 0.010            ;Wait On 20ms step.
+	0x9101,    //        add ra,1              ;Increase ra 1
+	0xA00B,    //        branch 0,lp10         ;Use rc for wait On loop
+	0xA106,    //sdlon:  branch 2,lp1          ;3 loop for 3 Leds
+	0xF040,    //        trigger s{e},w{e}     ;Send & wait external trigger ctrl#1
+	0xA005,    //        branch 0,lp0          ;endless loop
+	0xFFFF	   //End of firmware
+};
+#endif
+
 static u16 firmware_spin_32_33_34_engine2 [] =
 {
 			   //.segment program02            ;Beginnning of a segment for engine 2
diff -Naur a/include/leds-lp55xx.h b/include/leds-lp55xx.h
--- a/include/leds-lp55xx.h	2017-09-06 17:06:29.000000000 +0700
+++ b/include/leds-lp55xx.h	2017-09-06 17:12:50.276206826 +0700
@@ -21,13 +21,22 @@
 
 /* Max Controller */
 #define CONFIG_SYS_I2C_LP5523_SPEED	400000 /* 400Khz */
-#define LEDS_LP5523_CNTRLS		4
+
+#ifndef CONFIG_TARGET_VENUS_2
+ #define LEDS_LP5523_CNTRLS		4
+ #define LEDS_RING				11
+ #define LEDS_LIGHT_MIN			1
+#define LEDS_LIGHT_MAX			10
+#else
+ #define LEDS_LP5523_CNTRLS		2
+ #define LEDS_RING				6
+ #define LEDS_LIGHT_MIN			1
+#define LEDS_LIGHT_MAX			5
+#endif
+
 #define LEDS_LP5523_CHNNLS		9
 #define LEDS_LP5523_HAS			12
 #define LEDS_MAP_MAX			3
-#define LEDS_LIGHT_MIN			1
-#define LEDS_LIGHT_MAX			10
-#define LEDS_RING				11
 #define LP55231_MILI_TO_MICRO_SEC	1000
 
 /*
